//<![CDATA[
/*************************************************
multilingual.js

javascript for
http://satff.aist.go.jp/yoshikazu-seki/...
process for multilingual translation

May 27, 2016 (Fri) ver 0.0
June 20, 2016 (Mon) ver 0.1	(World Flag)
September 7, 2019 (Sat) ver 0.2	(IEC 60417-6415)
July 12, 2023 (Wed) ver 0.3	(sl=ja -> sl=auto)

Copyright (C) 2016-2023 Yoshikazu Seki, AIST. All rights reserved.
*************************************************/

var	u = window.location.href;	//	Get URL

if(u.match("^https://staff.aist.go.jp/yoshikazu-seki/")) {	 	//	If it is On-line

	if(u.match("-j.html") || u.match("-j.xhtml")) {
		var b="auto";
//		var b="ja";
//		var c="en";
	}
	else {
		var b="en";
//		var c="ja";
	}

	var e = /\//g;
	var a = u.replace(e,"%2F");	//		"/" -> %2F

	var e = /:/g;
	a = a.replace(e,"%3A");		//		":" -> %3A

//	document.getElementById("multilingualtranslation").innerHTML="<a class=\"href\" href=\"https://translate.google.com/translate?sl=en&amp;u="+a+"\">* Jump to <strong>multilingual</strong> translation.</a>";
//	document.getElementById("multilingualtranslation").innerHTML="<a class=\"href\" href=\"https://translate.google.com/translate?sl="+b+"&amp;tl="+c+"&amp;u="+a+"\">* Jump to <strong>multilingual</strong> translation.</a>";
//	document.getElementById("multilingualtranslation").innerHTML="<a class=\"href\" href=\"https://translate.google.com/translate?sl="+b+"&amp;u="+a+"\">* Jump to <strong>multilingual</strong> translation. <img src=\"/yoshikazu-seki/data/image/un-flag.jpg\" alt=\"Icon of Would Flag\" /></a>";
	document.getElementById("multilingualtranslation").innerHTML="<a class=\"href\" href=\"https://translate.google.com/translate?sl="+b+"&amp;u="+a+"\">* Jump to <strong>multilingual</strong> translation. <img src=\"/yoshikazu-seki/data/image/ls-icon.png\" alt=\"Icon of language selection (IEC 60417-6415 published on 2019-09-07)\" /></a>";

}

else {	 	//	If it is Off-line

//	document.getElementById("multilingualtranslation").innerHTML="* Multilingual translation is not available because of Off-line.";
//	document.getElementById("multilingualtranslation").innerHTML="-";
	document.getElementById("multilingualtranslation").innerHTML="";

}

//]]>